## libcore 1.0.2

=== debian/changelog ===
libcore (1.0.2-1~bookworm1) unstable; urgency=low

  * Initial version

 -- Caoimhe Chaos <caoimhechaos@protonmail.com>  Mon, 28 Oct 2024 02:15:23 +0100
