=== debian/control ===
Source: libcore
Section: libs
Priority: optional
Maintainer: Caoimhe Chaos <caoimhechaos@protonmail.com>
Uploaders: Caoimhe Chaos <caoimhechaos@protonmail.com>
Build-Depends: cmake, dh-cmake, debhelper-compat (= 13), g++,
  libc-dev, libstdc++-dev, libspdlog-dev, libgtest-dev, libfmt-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/dulikvor/Core/
Vcs-Git: https://github.com/dulikvor/Core.git
Vcs-Browser: https://github.com/dulikvor/Core/

Package: libcore1
Architecture: any
Depends: ${misc:Depends}
Description:  Core library support for cppkin.

Package: libcore-dev
Architecture: any
Depends: ${misc:Depends}
Description:  Core library support for cppkin (header files).
